View Issue Details

IDProjectCategoryView StatusLast Update
14622Development Otherpublic2019-03-27 14:21
ReporterbismarkAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0dev 
Summary14622: ability to modify email (texts and other)
Description

sometimes we need to change subject and body of an email before sending (special replacements)
Maybe we can add a new plugin event "beforeEmailSend".

affects

  • InvitationEmail
  • ReminderEmail
  • ConfirmationEmail
  • RegistrationEmail
  • AdminNotificationEmail
  • DetailedAdminNotificationEmail
TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2019-03-11 07:39

developer   ~50885

Last edited: 2019-03-11 07:40

View 2 revisions

Already work on it for 4.0

Keeping beforeTokenEmail anbd send mailer in event (then can update anything)

DenisChenu

DenisChenu

2019-03-11 16:33

developer   ~50908

Last edited: 2019-03-11 16:35

View 2 revisions

See https://github.com/Shnoulle/LimeSurvey-Shnoulle/tree/develop_mailer .

only done : invite and remind, not all are tested …

I want too an easy helper for plugin ;)

Compare from develop : https://github.com/LimeSurvey/LimeSurvey/compare/develop...Shnoulle:develop_mailer

DenisChenu

DenisChenu

2019-03-19 17:12

developer   ~51054

InvitationEmail ReminderEmail ConfirmationEmail RegistrationEmail are already in beforeTokenEmail

DenisChenu

DenisChenu

2019-03-20 10:21

developer   ~51058

https://github.com/LimeSurvey/LimeSurvey/commit/6398e9685633ecc21880777093739740ba721d9c

DenisChenu

DenisChenu

2019-03-21 11:40

developer   ~51083

https://github.com/Shnoulle/LimeSurvey-Shnoulle/commit/8794d68613aa1b13d70f6627661603b4e02aaf66

DenisChenu

DenisChenu

2019-03-27 14:21

developer   ~51169

https://github.com/LimeSurvey/LimeSurvey/commit/de63762472630ab797db4ae65899a53c165eef70
Added, beforeEmail and beforeSurveyEmail

Issue History

Date Modified Username Field Change
2019-03-10 17:21 bismark New Issue
2019-03-11 07:39 DenisChenu Assigned To => DenisChenu
2019-03-11 07:39 DenisChenu Status new => assigned
2019-03-11 07:39 DenisChenu Note Added: 50885
2019-03-11 07:40 DenisChenu Note Edited: 50885 View Revisions
2019-03-11 16:33 DenisChenu Note Added: 50908
2019-03-11 16:35 DenisChenu Note Edited: 50908 View Revisions
2019-03-19 17:12 DenisChenu Note Added: 51054
2019-03-20 10:21 DenisChenu Note Added: 51058
2019-03-21 11:39 DenisChenu Summary ability to modify email texts => ability to modify email (texts and other)
2019-03-21 11:40 DenisChenu Note Added: 51083
2019-03-27 14:21 DenisChenu Status assigned => resolved
2019-03-27 14:21 DenisChenu Resolution open => fixed
2019-03-27 14:21 DenisChenu Fixed in Version => 4.0.0dev
2019-03-27 14:21 DenisChenu Note Added: 51169